## ros-rolling-ros-image-to-qimage 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(ros_image_to_qimage)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(cv_bridge REQUIRED)

add_library(ros_image_to_qimage src/ros_image_to_qimage.cpp)
target_include_directories(ros_image_to_qimage PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)
ament_target_dependencies(ros_image_to_qimage
  sensor_msgs
  Qt5Widgets
  cv_bridge)

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ros_image_to_qimage
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(
  include
)
ament_export_libraries(
  ros_image_to_qimage
)
ament_export_dependencies(Qt5Widgets)
ament_export_dependencies(sensor_msgs)
ament_export_dependencies(cv_bridge)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-rolling-ros-image-to-qimage (0.0.2-1focal) focal; urgency=high

  * fill package.xml with correct description and license tag
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 06 Jan 2022 15:00:00 -0000

ros-rolling-ros-image-to-qimage (0.0.1-1focal) focal; urgency=high

  * implemented ros_image_to_qimage package
  * Contributors: Kenji Brameld, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Wed, 05 Jan 2022 15:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros-image-to-qimage
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-cv-bridge, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-image-to-qimage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-rolling-cv-bridge, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: A package that converts a ros image msg to a qimage object

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros-image-to-qimage//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros-image-to-qimage 0.4.1

=== debian/changelog ===
ros-rolling-ros-image-to-qimage (0.4.1-2jammy) jammy; urgency=high

  * Change #include cv_bridge.h to cv_bridge.hpp in ros_image_to_qimage.hpp (#27 <https://github.com/ros-sports/ros_image_to_qimage/issues/27>, #28 <https://github.com/ros-sports/ros_image_to_qimage/issues/28>)
  * Change python_qt_binding from exec_depend to depend, because it is being used in CMakeLists.txt. (#25 <https://github.com/ros-sports/ros_image_to_qimage/issues/25>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Thu, 29 Sep 2022 07:00:00 -0000

ros-rolling-ros-image-to-qimage (0.4.0-2jammy) jammy; urgency=high

  * Ensure bgr8 gets converted to rgb8 (#21 <https://github.com/ros-sports/ros_image_to_qimage/issues/21>)
  * Add functionality to convert mono colors too (#18 <https://github.com/ros-sports/ros_image_to_qimage/issues/18>)
  * Add tests for cpp (#13 <https://github.com/ros-sports/ros_image_to_qimage/issues/13>)
  * Add python API (#5 <https://github.com/ros-sports/ros_image_to_qimage/issues/5>)
  * Fix README.md (#4 <https://github.com/ros-sports/ros_image_to_qimage/issues/4>)
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Mon, 26 Sep 2022 07:00:00 -0000

ros-rolling-ros-image-to-qimage (0.3.0-2jammy) jammy; urgency=high

  * update readme
  * update ci
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Wed, 15 Jun 2022 07:00:00 -0000

ros-rolling-ros-image-to-qimage (0.0.2-2jammy) jammy; urgency=high

  * fill package.xml with correct description and license tag
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 07 Jan 2022 08:00:00 -0000

ros-rolling-ros-image-to-qimage (0.0.1-2jammy) jammy; urgency=high

  * implemented ros_image_to_qimage package
  * Contributors: Kenji Brameld, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 06 Jan 2022 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros-image-to-qimage
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-cv-bridge, ros-rolling-python-qt-binding, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-image-to-qimage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtbase5-dev, ros-rolling-cv-bridge, ros-rolling-python-qt-binding, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: A package that converts a ros image msg to a qimage object

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
